Skip to main content
PUT
update a post

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

preserve-edited-at
boolean
default:false

Preserve the editedAt value when updating a post. If the value is true, the editedAt value will not be updated. If the value is false, the editedAt value will be updated.

Path Parameters

postId
string
required
Maximum string length: 900

Body

application/json

information of a post to be updated.

text
string
deprecated
data
object
metadata
object
tags
string[]
Maximum array length: 5

tags

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
polls
object[]